Fedora 31 - /XnView: /lib64/libQt5Network.so.5: version `Qt_5_PRIVATE_API' not found (required by ./XnView)

Ask for help and post your question on how to use XnView MP.

Moderators: XnTriq, xnview

Post Reply
ivnmad
Posts: 5
Joined: Sun Jun 17, 2012 3:32 pm

Fedora 31 - /XnView: /lib64/libQt5Network.so.5: version `Qt_5_PRIVATE_API' not found (required by ./XnView)

Post by ivnmad » Fri Nov 01, 2019 10:05 pm

Hi, I've just upgraded to Fedora 31.
I initially had an error for a missing library.
After installing that, I started getting the following error:

./XnView
./XnView: /lib64/libQt5Network.so.5: version `Qt_5_PRIVATE_API' not found (required by ./XnView)

That's where I'm currently stuck, also because I have no clue on how to get around that.

Thank you,

Ivan

User avatar
xnview
Author of XnView
Posts: 31881
Joined: Mon Oct 13, 2003 7:31 am
Location: France
Contact:

Re: Fedora 31 - /XnView: /lib64/libQt5Network.so.5: version `Qt_5_PRIVATE_API' not found (required by ./XnView)

Post by xnview » Tue Nov 05, 2019 3:23 pm

you can't use QT libs in the package?
Pierre.

ivnmad
Posts: 5
Joined: Sun Jun 17, 2012 3:32 pm

Re: Fedora 31 - /XnView: /lib64/libQt5Network.so.5: version `Qt_5_PRIVATE_API' not found (required by ./XnView)

Post by ivnmad » Tue Nov 05, 2019 6:03 pm

Hi Pierre,

I cannot use the QT libs provided by creating links in /lib64 because those libs already exist.
I cannot remove the packages qt5-qtbase + qt5-common (and their libraries), because they are used by other applications.

If there is way to tell XnView MP to use /opt/XnView/lib instead of the system libs, then it might work.
If the above is already in place (i doubt it, since the error message references the lib in the system folder), then I'm not sure what else to do.

The file qt.conf shows:

[Paths]
Plugins = lib/plugins
lib = lib

I hope that helps somehow.

Thank you,

Ivan

User avatar
xnview
Author of XnView
Posts: 31881
Joined: Mon Oct 13, 2003 7:31 am
Location: France
Contact:

Re: Fedora 31 - /XnView: /lib64/libQt5Network.so.5: version `Qt_5_PRIVATE_API' not found (required by ./XnView)

Post by xnview » Thu Nov 07, 2019 10:16 am

please check the xnview.sh
Pierre.

ivnmad
Posts: 5
Joined: Sun Jun 17, 2012 3:32 pm

Re: Fedora 31 - /XnView: /lib64/libQt5Network.so.5: version `Qt_5_PRIVATE_API' not found (required by ./XnView)

Post by ivnmad » Thu Nov 07, 2019 4:25 pm

Hi Pierre,

OK, I forgot about xnview.sh and was using the Xnview file directly.
Anyway, xnview.sh worked after I added the following link in the lib folder:

sudo ln -s /lib64/libbz2.so.1 libbz2.so.1.0

Without that Xnview was complaining:

/opt/XnView/XnView: error while loading shared libraries: libbz2.so.1.0: cannot open shared object file: No such file or directory

Thank you,

Ivan

Post Reply